# Uses of Interface
org.apache.zookeeper.server.SessionTracker

Packages that use SessionTracker
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of SessionTracker in org.apache.zookeeper.server

Classes in org.apache.zookeeper.server that implement SessionTracker
Modifier and Type
Class
Description
`class`
`SessionTrackerImpl`
This is a full featured SessionTracker.
Fields in org.apache.zookeeper.server declared as SessionTracker
Modifier and Type
Field
Description
`protected SessionTracker`
ZooKeeperServer.`sessionTracker`
Methods in org.apache.zookeeper.server that return SessionTracker
Modifier and Type
Method
Description
`SessionTracker`
ZooKeeperServer.`getSessionTracker()`

## Uses of SessionTracker in org.apache.zookeeper.server.quorum

Classes in org.apache.zookeeper.server.quorum that implement SessionTracker
Modifier and Type
Class
Description
`class`
`LeaderSessionTracker`
The leader session tracker tracks local and global sessions on the leader.
`class`
`LearnerSessionTracker`
The learner session tracker is used by learners (followers and observers) to track zookeeper sessions which may or may not be echoed to the leader.
`class`
`LocalSessionTracker`
Local session tracker.
`class`
`UpgradeableSessionTracker`
A session tracker that supports upgradeable local sessions.